Summary: Linux Standard Base tools
Name: lsb-release
Version: 2.0
Release: 4mdk
License: GPL
Source: lsb-release-%{version}.tar.bz2
Group: System/Base
URL:  http://www.linuxbase.org/
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86} x86_64 ppc

%define lsbver 3.1
%define arch_name ia32 

%ifarch x86_64
%define arch_name amd64 
%endif
%ifarch %{ppc}
%define arch_name ppc 
%endif

%description
LSB version query program

This program forms part of the required functionality of
the LSB (Linux Standard Base) specification.

The program queries the installed state of the distribution
to display certain properties such as the version of the
LSB against which the distribution claims compliance as 
well. It can also attempt to display the name and release
of the distribution along with an identifier of who produces
the distribution.

%prep

%setup

%build
rm -rf $RPM_BUILD_ROOT
make

%install
make prefix=%buildroot mandir=%buildroot/%{_mandir} install 
mkdir -p %buildroot/%{_sysconfdir}/%{name}.d
mkdir -p %buildroot/%{_sysconfdir}
cat > %buildroot/%{_sysconfdir}/lsb-release << EOF
LSB_VERSION=lsb-%{lsbver}-%arch_name:lsb-%{lsbver}-noarch
DISTRIB_ID=MandrivaLinux
DISTRIB_RELEASE=
DISTRIB_CODENAME=
DISTRIB_DESCRIPTION="%{distribution}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/bin/lsb_release
%{_mandir}/man1/lsb_release.1*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}.d

%changelog
* Fri Mar 31 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-4mdk
- change the ident standard - now lsb-version-arch/noarch

* Tue Feb 21 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-3mdk
- move graphics ident files to lsb-graphics

* Wed Jan 18 2006 Stew Benedict <sbenedict@mandriva.com> 2.0-2mdk
- leave DISTRIB_CODENAME blank, lsb_release can find it

* Tue May 31 2005 Stew Benedict <sbenedict@mandriva.com> 2.0-1mdk
- 2.0 - cvs snapshot
- conform to the new requirements for lsb-release format

* Fri Apr 22 2005 Stew Benedict <sbenedict@mandriva.com> 1.4-8mdk
- LSB3.0, use variables to populate lsb-release
- leave DISTRIB_RELEASE blank, lsb_release can find it

* Fri Mar 11 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-7mdk
- 10.2 (Bugzilla #14491)

* Mon Jun 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-6mdk
- LSB2.0

* Fri Apr  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-5mdk
- Mandrakelinux 10.1, codename Cooker

* Mon Jul 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-4mdk
- Mandrake 9.2, codename TBA

* Mon Mar 31 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-3mdk
- LSB1.3, Mandrake 9.1 (bamboo)

* Thu Sep 19 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-2mdk
- update for LSB1.2, Mandrake 9.0
- s/Copyright/License/, bzip2 source

* Fri Aug 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.4-1mdk
- first Mandrake Linux version

* Tue Jan  2 2001 Christopher Yeoh <cyeoh@linuxcare.com>
- Update description of package

* Mon Nov  6 2000 Christopher Yeoh <cyeoh@linuxcare.com>
- Repackage for version 1.4
- Add comments about creating an LSB compliant package.

* Thu Nov  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- add %defattr to fix build as non root.
- fix %file for non rh distribution.
- macros.

* Mon Oct 30 2000 Christopher Yeoh <cyeoh@linuxcare.com>
- Repackage so lsb_release goes in /bin

* Sat Oct 21 2000 Christopher Yeoh <cyeoh@linuxcare.com>
- Changes for 1.2 release of lsb_release

* Thu Sep 28 2000 Christopher Yeoh <cyeoh@linuxcare.com>
- Changes for 1.1 release of lsb_release

* Tue Sep 26 2000 Christopher Yeoh <cyeoh@linuxcare.com>
- Clean up script not to trample over currently installed package
- Changes to use new makefile bundled with lsb_release tarball
- Fixes bugs in post commands and adds post uninstall commands

